View Issue Details

IDProjectCategoryView StatusLast Update
0004591VALENTINA SERVERini-filepublic2009-12-23 11:06
ReporterFabian EschrichAssigned ToIvan Smahin 
PrioritynormalSeveritytrivialReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version4.0 
Target Version4.5Fixed in Version4.5 
Summary0004591: Empty records also with FLUSH_EACH_DATACHANGES
Descriptionon some of my server crashes one of my databases gets corrupted.
When I look into it, I see sometimes 5 or more empty records in some tables - mostly my invoices our accounting.
These records were generated all over the day but seems like unsaved.
FLUSH_EACH_DATACHANGES is activated.
Before the crash I see the records in my app, but after crash they are gone.

So I think they were in memory only
TagsNo tags attached.

Activities

Ruslan Zasukhin

Ruslan Zasukhin

2009-10-19 16:01

administrator   ~0004834

Very interesting, Fabian.

1) how you make this new empty records ?
show your code please about this

2) I believe that you and your code should NOT depend on "optimization" / "admin" settings of VSERVER !!!
This is really option just for FAST hacking. FAST dirty force debugging.

Of course, sounds like you have found some bug in THIS option.
But avoid to use it as major thing.
Ruslan Zasukhin

Ruslan Zasukhin

2009-11-08 21:46

administrator   ~0004875

Ivan?

not reproduced?

Issue History

Date Modified Username Field Change
2009-10-19 12:38 Fabian Eschrich New Issue
2009-10-19 16:01 Ruslan Zasukhin Note Added: 0004834
2009-11-08 21:46 Ruslan Zasukhin Note Added: 0004875
2009-11-08 21:46 Ruslan Zasukhin Status new => assigned
2009-11-08 21:46 Ruslan Zasukhin Assigned To => Ivan Smahin
2009-12-23 10:34 Ivan Smahin Status assigned => resolved
2009-12-23 10:34 Ivan Smahin Fixed in Version => 4.5
2009-12-23 10:34 Ivan Smahin Resolution open => fixed
2009-12-23 11:06 Ruslan Zasukhin Target Version => 4.5